process-extras-0.7.4: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.Chars

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> Chars -> IO (ExitCode, Chars, Chars)
- readCreateProcessWithExitCode :: CreateProcess -> Chars -> IO (ExitCode, Chars, Chars)

# Documentation

readProcessWithExitCode Source #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> Chars | standard input
-> IO (ExitCode, Chars, Chars) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode Source #

Arguments

:: CreateProcess | command and arguments to run
-> Chars | standard input
-> IO (ExitCode, Chars, Chars) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO Chars Char Source # | Like `readProcessWithExitCode`, but specialized for `Text`
Instance details Methods forceOutput :: Chars -> IO Chars Source # readChunks :: Handle -> IO [Chars] Source #